      REAL FUNCTION zras()
      include 'zras.inc'
      common /mars/zcal(200)
      data zcal/200*0./
      zz=100.
      if (scale.gt.0) zz=115./scale
      if (zz.lt.150.) zras=zz-100.
      if (zz.gt.150.) zras=zz-200.
      if (zcal(idch).eq.0.) zcal(idch)=zras
      zras=zras-zcal(idch)
      END
